tt_message_context_set(library call)

NAME
tt_message_context_set — set the character string value of a message's context

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_context_set(
Tt_message m,
const char *slotname,
const char *value);

DESCRIPTION

The tt_message_context_set function sets the character string value of a message's context.

The m argument is the opaque handle for the message involved in this operation. The slotname argument describes the context of this message. This function overwrites any previous value associated with slotname. The value argument is the character string to be set.

RETURN VALUE

Upon successful completion, the tt_message_context_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_SLOTNAME
    The specified slotname is syntactically invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).